searchNodes=[{"type":"task","title":"Mix.Tasks.Postgrex.PgOutput.Types","doc":"Generate a types.exs from the result of the following query: postgres = # o lib/postgrex/types.json postgres = # SELECT row_to_json(r) FROM (SELECT t.oid::INTEGER, t.typname as type, t.typsend as send, t.typreceive as receive, t.typoutput as output, t.typinput as input, coalesce ( d . typelem , t . typelem ) :: INTEGER as array_elem , coalesce ( r . rngsubtype , 0 ) :: INTEGER as base_type , ARRAY ( SELECT a . atttypid FROM pg_attribute AS a WHERE a . attrelid = t . typrelid AND a . attnum &gt; 0 AND NOT a . attisdropped ORDER BY a . attnum ) as comp_elems FROM pg_type AS t LEFT JOIN pg_type AS d ON t . typbasetype = d . oid LEFT JOIN pg_range AS r ON r . rngtypid = t . oid OR ( t . typbasetype &lt;&gt; 0 AND r . rngtypid = t . typbasetype ) WHERE ( t . typrelid = 0 ) AND ( t . typelem = 0 OR NOT EXISTS ( SELECT 1 FROM pg_catalog . pg_type s WHERE s . typrelid != 0 AND s . oid = t . typelem ) ) ) as r ; postgres = # o","ref":"Mix.Tasks.Postgrex.PgOutput.Types.html"},{"type":"module","title":"Postgrex.PgOutput","doc":"Postgrex.Pgoutput Encode / decode Postgres replication messages . Usage See examples/cdc for a full example of using Postgrex.Replication to implement CDC (Change Data Capture). Installation This package can be installed by adding postgrex_pgoutput to your list of dependencies in mix.exs : def deps do [ { :postgrex_pgoutput , &quot;~&gt; 0.1.0&quot; } ] end","ref":"Postgrex.PgOutput.html"},{"type":"function","title":"Postgrex.PgOutput.decode/1","doc":"Decodes a binary replication message into Examples Primary keep alive import Postgrex.PgOutput.Messages msg = &lt;&lt; 107 , 0 , 0 , 0 , 0 , 1 , 130 , 140 , 128 , 0 , 2 , 141 , 89 , 193 , 229 , 5 , 73 , 1 &gt;&gt; msg_primary_keep_alive ( reply : 1 ) = pka = Postgrex.PgOutput . decode ( msg ) Xlog data import Postgrex.PgOutput.Messages msg = &lt;&lt; 119 , 0 , 0 , 0 , 0 , 1 , 94 , 109 , 184 , 0 , 0 , 0 , 0 , 1 , 94 , 109 , 184 , 0 , 2 , 141 , 89 , 243 , 12 , 106 , 120 , 66 , 0 , 0 , 0 , 0 , 40 , 218 , 86 , 184 , 0 , 2 , 116 , 137 , 36 , 88 , 241 , 171 , 0 , 6 , 166 , 173 &gt;&gt; msg_xlog_data ( data : msg_begin ( ) = begin ) = Postgrex.PgOutput . decode ( msg )","ref":"Postgrex.PgOutput.html#decode/1"},{"type":"function","title":"Postgrex.PgOutput.decode_value/2","doc":"Decodes a string value into an elixir term based on type . Values in replication messages are always encoded using the text protocol. Examples iex&gt; 1 = Postgrex.PgOutput . decode_value ( &quot;1&quot; , &quot;int4&quot; ) iex&gt; &quot;string&quot; = Postgrex.PgOutput . decode_value ( &quot;string&quot; , &quot;varchar&quot; ) # jsonb &amp; jsonb array requires that :jason is added to deps iex&gt; %{ &quot;a&quot; =&gt; &quot;b&quot; } = Postgrex.PgOutput . decode_value ( ~s({&quot;a&quot;: &quot;b&quot;}) , &quot;jsonb&quot; ) iex&gt; [ %{ &quot;a&quot; =&gt; &quot;b&quot; } ] = Postgrex.PgOutput . decode_value ( &quot;{&quot; { \\ &quot;a \\&quot; : \\&quot; b \\&quot; }&quot; } &quot;, &quot; _jsonb &quot; )","ref":"Postgrex.PgOutput.html#decode_value/2"},{"type":"function","title":"Postgrex.PgOutput.encode/1","doc":"Encodes status messages to send to Postgres. Examples import Postgrex.PgOutput.Messages &lt;&lt; lsn :: 64 &gt;&gt; = Postgrex.PgOutput.Lsn . encode ( { 0 , 1 } ) msg = msg_standby_status_update ( wal_recv : lsn + 1 , wal_flush : lsn + 1 , wal_apply : lsn + 1 , system_clock : now ( ) , reply : 0 ) bin_msg = Postgrex.PgOutput . encode ( msg )","ref":"Postgrex.PgOutput.html#encode/1"},{"type":"module","title":"Postgrex.PgOutput.Lsn","doc":"LSN (Log Sequence Number) is a pointer to a location in the WAL. Internally, an LSN is a 64-bit integer, representing a byte position in the write-ahead log stream. It is printed as two hexadecimal numbers of up to 8 digits each, separated by a slash; for example, 16/B374D848. This module provides utility functions for encoding/decoding Lsn's","ref":"Postgrex.PgOutput.Lsn.html"},{"type":"function","title":"Postgrex.PgOutput.Lsn.decode/1","doc":"","ref":"Postgrex.PgOutput.Lsn.html#decode/1"},{"type":"function","title":"Postgrex.PgOutput.Lsn.decode_string/1","doc":"","ref":"Postgrex.PgOutput.Lsn.html#decode_string/1"},{"type":"function","title":"Postgrex.PgOutput.Lsn.encode/1","doc":"","ref":"Postgrex.PgOutput.Lsn.html#encode/1"},{"type":"function","title":"Postgrex.PgOutput.Lsn.encode_int64/1","doc":"","ref":"Postgrex.PgOutput.Lsn.html#encode_int64/1"},{"type":"function","title":"Postgrex.PgOutput.Lsn.encode_string/1","doc":"","ref":"Postgrex.PgOutput.Lsn.html#encode_string/1"},{"type":"type","title":"Postgrex.PgOutput.Lsn.t/0","doc":"","ref":"Postgrex.PgOutput.Lsn.html#t:t/0"},{"type":"module","title":"Postgrex.PgOutput.Messages","doc":"Protocol overview: https://www.postgresql.org/docs/12/protocol-replication.html Replication protocol messages https://www.postgresql.org/docs/14/protocol-logicalrep-message-formats.html","ref":"Postgrex.PgOutput.Messages.html"},{"type":"macro","title":"Postgrex.PgOutput.Messages.column/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#column/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.column/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#column/2"},{"type":"function","title":"Postgrex.PgOutput.Messages.decode/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#decode/1"},{"type":"function","title":"Postgrex.PgOutput.Messages.encode/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#encode/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_begin/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_begin/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_begin/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_begin/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_commit/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_commit/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_commit/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_commit/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_delete/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_delete/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_delete/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_delete/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_empty/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_empty/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_empty/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_empty/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_insert/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_insert/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_insert/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_insert/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_origin/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_origin/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_origin/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_origin/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_primary_keep_alive/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_primary_keep_alive/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_primary_keep_alive/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_primary_keep_alive/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_relation/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_relation/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_relation/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_relation/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_standby_status_update/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_standby_status_update/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_standby_status_update/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_standby_status_update/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_truncate/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_truncate/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_truncate/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_truncate/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_type/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_type/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_type/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_type/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_update/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_update/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_update/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_update/2"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_xlog_data/1","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_xlog_data/1"},{"type":"macro","title":"Postgrex.PgOutput.Messages.msg_xlog_data/2","doc":"","ref":"Postgrex.PgOutput.Messages.html#msg_xlog_data/2"},{"type":"function","title":"Postgrex.PgOutput.Messages.now/0","doc":"","ref":"Postgrex.PgOutput.Messages.html#now/0"},{"type":"extras","title":"Postgrex.Pgoutput","doc":"Encode / decode Postgres replication messages .","ref":"readme.html"},{"type":"extras","title":"Postgrex.Pgoutput - Usage","doc":"See examples/cdc for a full example of using Postgrex.Replication to implement CDC (Change Data Capture).","ref":"readme.html#usage"},{"type":"extras","title":"Postgrex.Pgoutput - Installation","doc":"This package can be installed by adding postgrex_pgoutput to your list of dependencies in mix.exs : def deps do [ { :postgrex_pgoutput , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation"}]